## ThunarColumnModel ThunarColumnModel |

## Functions

ThunarColumnModel * | thunar_column_model_get_default ()
void | thunar_column_model_exchange ()
ThunarColumn | thunar_column_model_get_column_for_iter ()
const ThunarColumn * | thunar_column_model_get_column_order ()
const gchar * | thunar_column_model_get_column_name ()
gboolean | thunar_column_model_get_column_visible ()
void | thunar_column_model_set_column_visible ()
gint | thunar_column_model_get_column_width ()
void | thunar_column_model_set_column_width ()

## Signals

void | columns-changed | Run Last

## Types and Values

enum | ThunarColumnModelColumn

## Object Hierarchy

        GObject
        ╰── ThunarColumnModel

## Description

## Functions

### thunar_column_model_get_default ()

    ThunarColumnModel *
    thunar_column_model_get_default (void);

Returns the default, shared ThunarColumnModel instance.

The caller is responsible to free the returned object using `g_object_unref()` when no longer needed.

#### Returns

the default ThunarColumnModel.

### thunar_column_model_exchange ()

    void
    thunar_column_model_exchange (ThunarColumnModel *column_model,
                                  GtkTreeIter *iter1,
                                  GtkTreeIter *iter2);

Exchanges the columns at `iter1` and `iter2` in `column_model` .

#### Parameters

column_model | a ThunarColumnModel. |
iter1 | first GtkTreeIter. |
iter2 | second GtkTreeIter. |

### thunar_column_model_get_column_for_iter ()

    ThunarColumn
    thunar_column_model_get_column_for_iter
                                   (ThunarColumnModel *column_model,
                                    GtkTreeIter *iter);

Returns the ThunarColumn for the given `iter` in `column_model` .

#### Parameters

column_model | a ThunarColumnModel. |
iter | a valid GtkTreeIter for `column_model` . |

#### Returns

the ThunarColumn for `iter` .

### thunar_column_model_get_column_order ()

    const ThunarColumn *
    thunar_column_model_get_column_order (ThunarColumnModel *column_model);

Returns the current ThunarColumn order for `column_model` .

#### Parameters

column_model | a ThunarColumnModel. |

#### Returns

the current ThunarColumn order for the given `column_model` instance.

### thunar_column_model_get_column_name ()

    const gchar *
    thunar_column_model_get_column_name (ThunarColumnModel *column_model,
                                         ThunarColumn column);

Returns the user visible name for the `column` in the `column_model` .

#### Parameters

column_model | a ThunarColumnModel. |
column | a ThunarColumn. |

#### Returns

the user visible name for `column` .

### thunar_column_model_get_column_visible ()

    gboolean
    thunar_column_model_get_column_visible
                                   (ThunarColumnModel *column_model,
                                    ThunarColumn column);

Returns `TRUE` if the `column` should be displayed in the details view.

#### Parameters

column_model | a ThunarColumnModel. |
column | a ThunarColumn. |

#### Returns

`TRUE` if `column` is visible.

### thunar_column_model_set_column_visible ()

    void
    thunar_column_model_set_column_visible
                                   (ThunarColumnModel *column_model,
                                    ThunarColumn column,
                                    gboolean visible);

Changes the visibility of the `column` to `visible` in `column_model` .

#### Parameters

column_model | a ThunarColumnModel. |
column | a ThunarColumn. |
visible | `TRUE` to make `column` visible. |

### thunar_column_model_get_column_width ()

    gint
    thunar_column_model_get_column_width (ThunarColumnModel *column_model,
                                          ThunarColumn column);

Returns the fixed column width for `column` in `column_model` .

#### Parameters

column_model | a ThunarColumnModel. |
column | a ThunarColumn. |

#### Returns

the fixed width for `column` .

### thunar_column_model_set_column_width ()

    void
    thunar_column_model_set_column_width (ThunarColumnModel *column_model,
                                          ThunarColumn column,
                                          gint width);

Sets the fixed width for `column` in `column_model` to `width` .

#### Parameters

column_model | a ThunarColumnModel. |
column | a ThunarColumn. |
width | the new fixed width for `column` . |

## Types and Values

### enum ThunarColumnModelColumn

The ThunarColumnModel columns used by the ThunarColumnEditor.

#### Members

THUNAR_COLUMN_MODEL_COLUMN_NAME | the name of the column. |
THUNAR_COLUMN_MODEL_COLUMN_MUTABLE | TRUE if the visibility can be changed. |
THUNAR_COLUMN_MODEL_COLUMN_VISIBLE | whether the column is visible. |
THUNAR_COLUMN_MODEL_COLUMN_TOOLTIP | the tooltip for the column line. |
THUNAR_COLUMN_MODEL_N_COLUMNS |  |

## Signal Details

### The `“columns-changed”` signal

    void
    user_function (ThunarColumnModel *column_model,
                   gpointer           user_data)

Emitted by `column_model` whenever the order of the columns or the visibility of a column in `column_model` is changed.

#### Parameters

column_model | a ThunarColumnModel. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last